import "./style.css";

interface ComponentProps {
  label: string
  onClick: () => void;
}

const FilterButton = (props: ComponentProps) => (
  <button onClick={props.onClick} className="button-container">
    <div className="button-label">{props.label}</div>
  </button>
)

export default FilterButton;