// import { cx } from "class-variance-authority";
// import Downshift from "downshift";
// import "../Header/style.css";

// type DefaultSelectProps = {
//   data: any,
//   onInput: (val: string) => void;
//   inputValue: string
// }

// function DefaultSelect(props: DefaultSelectProps) {
//   const items = [
//     { author: 'Harper Lee', title: 'To Kill a Mockingbird' },
//     { author: 'Lev Tolstoy', title: 'War and Peace' },
//     { author: 'Fyodor Dostoyevsy', title: 'The Idiot' },
//     { author: 'Oscar Wilde', title: 'A Picture of Dorian Gray' },
//     { author: 'George Orwell', title: '1984' },
//     { author: 'Jane Austen', title: 'Pride and Prejudice' },
//     { author: 'Marcus Aurelius', title: 'Meditations' },
//     { author: 'Fyodor Dostoevsky', title: 'The Brothers Karamazov' },
//     { author: 'Lev Tolstoy', title: 'Anna Karenina' },
//     { author: 'Fyodor Dostoevsky', title: 'Crime and Punishment' },
//   ];

//   return (
//     <Downshift
//       onChange={selection =>
//         alert(
//           selection
//             ? `You selected "${selection.title}" by ${selection.author}. Great Choice!`
//             : 'Selection Cleared',
//         )
//       }
//       itemToString={item => (item ? item.title : '')}
//     >
//       {({
//         getInputProps,
//         getItemProps,
//         getLabelProps,
//         getMenuProps,
//         getToggleButtonProps,
//         isOpen,
//         inputValue,
//         highlightedIndex,
//         selectedItem,
//         closeMenu,
//       }) => {
//         inputValue = props.inputValue

//         return (
//           <div>
//             <div className="w-72 flex flex-col gap-1">
//               <div style={{ borderRadius: 2 }}>
//                 <input
//                   placeholder="Candi Borobudur, Tunjungan Plaza ..."
//                   style={{ minHeight: 45 }}
//                   className="w-full bg-secondary p-1.5"
//                   {...getInputProps({
//                     onChange: val => props.onInput(val),
//                     onKeyDown: event => {
//                       if (event.key === 'ArrowUp' && highlightedIndex === 0) {
//                         // If at the top, close the menu
//                         event.preventDefault();
//                         closeMenu();
//                       }

//                       if(event.key === 'Enter') {
//                         alert(props.inputValue)
//                       }
//                     },
//                   })}
//                 />
//               </div>
//             </div>
//             <ul
//               className={`absolute w-72 bg-secondary mt-1 shadow-md max-h-80 overflow-scroll p-0 z-10 ${!(isOpen && items.length) && 'hidden'
//                 }`}
//               {...getMenuProps()}
//             >
//               {isOpen
//                 ? items
//                   .filter(
//                     item =>
//                       !inputValue ||
//                       item.title.toLowerCase().includes(inputValue.toLowerCase()) ||
//                       item.author.toLowerCase().includes(inputValue.toLowerCase()),
//                   )
//                   .map((item, index) => (
//                     <li
//                       className={cx(
//                         highlightedIndex === index && 'bg-tertiary',
//                         'py-2 px-3 flex flex-col',
//                       )}
//                       {...getItemProps({
//                         key: item.title,
//                         index,
//                         item,
//                       })}
//                     >
//                       <span>{item.title}</span>
//                       <span className="text-sm text-gray-700">{item.author}</span>
//                     </li>
//                   ))
//                 : null}
//             </ul>
//           </div>
//         )
//       }}
//     </Downshift>
//   );
// }

// export default DefaultSelect;
